Package org.apache.any23.vocab

## Class OGPBook

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGPBook

-     public class OGPBook
      extends Vocabulary

  The Open Graph Protocol Book Type vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BOOK__AUTHOR` | Who wrote this book.
    `static String` | `BOOK__ISBN` | The ISBN
    `static String` | `BOOK__RELEASE_DATE` | The date the book was released.
    `static String` | `BOOK__TAG` | Tag words associated with this book.
    `org.eclipse.rdf4j.model.IRI` | `bookAuthor` |
    `org.eclipse.rdf4j.model.IRI` | `bookIsbn` |
    `org.eclipse.rdf4j.model.IRI` | `bookReleaseDate` |
    `org.eclipse.rdf4j.model.IRI` | `bookTag` |
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGPBook` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### BOOK__AUTHOR

          public static final String BOOK__AUTHOR

      Who wrote this book.
      See Also:
        Constant Field Values

    - #### BOOK__ISBN

          public static final String BOOK__ISBN

      The ISBN
      See Also:
        Constant Field Values

    - #### BOOK__RELEASE_DATE

          public static final String BOOK__RELEASE_DATE

      The date the book was released.
      See Also:
        Constant Field Values

    - #### BOOK__TAG

          public static final String BOOK__TAG

      Tag words associated with this book.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### bookAuthor

          public final org.eclipse.rdf4j.model.IRI bookAuthor

    - #### bookIsbn

          public final org.eclipse.rdf4j.model.IRI bookIsbn

    - #### bookReleaseDate

          public final org.eclipse.rdf4j.model.IRI bookReleaseDate

    - #### bookTag

          public final org.eclipse.rdf4j.model.IRI bookTag

  - ### Method Detail

    - #### getInstance

          public static OGPBook getInstance()